## Index

### Interfaces

- IServiceDef

### Functions

- Register

## Functions

### Register

- Register(def: IServiceDef): function
- Register(id: string, scope: Scope): function

- - Defined in src/di/Register.ts:31

  #### Parameters

  - ##### def: IServiceDef

  #### Returns function

  - - (t: any): void

    - #### Parameters

      - ##### t: any

      #### Returns void

- - Defined in src/di/Register.ts:32

  #### Parameters

  - ##### id: string

  - ##### scope: Scope

  #### Returns function

  - - (t: any): void

    - #### Parameters

      - ##### t: any

      #### Returns void

Generated using TypeDoc